Package com.google.android.exoplayer2.ext.rtmp

## Class RtmpDataSource.Factory

- java.lang.Object
- - com.google.android.exoplayer2.ext.rtmp.RtmpDataSource.Factory

- All Implemented Interfaces:
    `DataSource.Factory`
  Enclosing class:
    RtmpDataSource

      public static final class RtmpDataSource.Factory
      extends Object
      implements DataSource.Factory

  `DataSource.Factory` for `RtmpDataSource` instances.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Factory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RtmpDataSource` | `createDataSource()` | Creates a `DataSource` instance.
    `RtmpDataSource.Factory` | `setTransferListener​(TransferListener transferListener)` | Sets the `TransferListener` that will be used.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Factory

          public Factory()

  - ### Method Detail

    - #### setTransferListener

          @CanIgnoreReturnValue
          public RtmpDataSource.Factory setTransferListener​(@Nullable
                                                            TransferListener transferListener)

      Sets the `TransferListener` that will be used.

      The default is `null`.

      See `DataSource.addTransferListener(TransferListener)`.

      Parameters:
        `transferListener` - The listener that will be used.
      Returns:
        This factory.

    - #### createDataSource

          public RtmpDataSource createDataSource()

      Description copied from interface: `DataSource.Factory`
      Creates a `DataSource` instance.
      Specified by:
        `createDataSource` in interface `DataSource.Factory`